View Issue Details

IDProjectCategoryView StatusLast Update
0003318GNUnetcore servicepublic2014-04-08 16:41
ReporterFlorian DoldAssigned ToMatthias Wachs 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003318: core services crashes for large testbeds
DescriptionRunning large testbeds that use core (e.g. secretsharing/consensus) crashes the core service.
Steps To Reproduce./gnunet-consensus-profiler -n 25 -c test_consensus.conf
Additional InformationCore was generated by `/home/dold/lib//gnunet/libexec/gnunet-service-core -c /tmp/testbedsFyDgs/0/conf'.
Program terminated with signal 11, Segmentation fault.
#0 0x00007ffcaf92a263 in excess_trigger (cls=<optimized out>, tc=0x7fffba9230a0) at bandwidth.c:135
135 av->excess_cb (av->excess_cb_cls);
(gdb) bt full
#0 0x00007ffcaf92a263 in excess_trigger (cls=<optimized out>, tc=0x7fffba9230a0) at bandwidth.c:135
        av = <optimized out>
#1 0x00007ffcaf95c022 in run_ready (ws=0x933040, rs=0x932fb0) at scheduler.c:595
        p = GNUNET_SCHEDULER_PRIORITY_SHUTDOWN
        pos = 0x945340
        tc = {reason = GNUNET_SCHEDULER_REASON_SHUTDOWN, read_ready = 0x932fb0, write_ready = 0x933040}
#2 GNUNET_SCHEDULER_run (task=task@entry=0x7ffcaf962830 <service_task>, task_cls=task_cls@entry=0x7fffba9231e0) at scheduler.c:817
        rs = 0x932fb0
        ws = <optimized out>
        timeout = <optimized out>
        ret = <optimized out>
        shc_int = 0x9330f0
        shc_term = 0x9331b0
        shc_quit = 0x933330
        shc_hup = 0x9333f0
        shc_pipe = 0x933270
        last_tr = 2522
        busy_wait_warning = 1
        pr = 0x932f90
        c = 0 '\000'
        __FUNCTION__ = "GNUNET_SCHEDULER_run"
#3 0x00007ffcaf965b0a in GNUNET_SERVICE_run (argc=<optimized out>, argv=<optimized out>, service_name=service_name@entry=0x40bb75 "core",
    options=options@entry=GNUNET_SERVICE_OPTION_NONE, task=task@entry=0x4028b0 <run>, task_cls=task_cls@entry=0x0) at service.c:1508
        err = 0
        ret = <optimized out>
        cfg_fn = 0x92d720 "~/.config/gnunet.conf"
        opt_cfg_fn = 0x92d870 "/tmp/testbedsFyDgs/0/config"
        loglev = 0x0
        logfile = 0x0
        do_daemonize = 0
        i = <optimized out>
        skew_offset = 0
        skew_variance = 0
        clock_offset = <optimized out>
        sctx = {cfg = 0x92d740, server = 0x9337d0, addrs = 0x0, service_name = 0x40bb75 "core", task = 0x4028b0 <run>, task_cls = 0x0,
---Type <return> to continue, or q <return> to quit---
          v4_denied = 0x0, v6_denied = 0x0, v4_allowed = 0x9375c0, v6_allowed = 0x940f90, my_handlers = 0x935eb0, addrlens = 0x0,
          lsocks = 0x932ec0, shutdown_task = 0, timeout = {rel_value_us = 18446744073709551615}, ret = 1, ready_confirm_fd = -1,
          require_found = 1, match_uid = 1, match_gid = 1, options = GNUNET_SERVICE_OPTION_NONE}
        cfg = 0x92d740
        xdg = <optimized out>
        service_options = {{shortName = 99 'c', name = 0x7ffcaf970343 "config", argumentHelp = 0x7ffcaf97034a "FILENAME",
            description = 0x7ffcaf970410 "use configuration file FILENAME", require_argument = 1,
            processor = 0x7ffcaf94c940 <GNUNET_GETOPT_set_string>, scls = 0x7fffba923130}, {shortName = 100 'd',
            name = 0x7ffcaf971b1b "daemonize", argumentHelp = 0x0, description = 0x7ffcaf971e78 "do daemonize (detach from terminal)",
            require_argument = 0, processor = 0x7ffcaf94c930 <GNUNET_GETOPT_set_one>, scls = 0x7fffba923124}, {shortName = 104 'h',
            name = 0x7ffcaf97035e "help", argumentHelp = 0x0, description = 0x7ffcaf970353 "print this help", require_argument = 0,
            processor = 0x7ffcaf94c5c0 <GNUNET_GETOPT_format_help_>, scls = 0x0}, {shortName = 76 'L', name = 0x7ffcaf970363 "log",
            argumentHelp = 0x7ffcaf970367 "LOGLEVEL", description = 0x7ffcaf970430 "configure logging to use LOGLEVEL", require_argument = 1,
            processor = 0x7ffcaf94c940 <GNUNET_GETOPT_set_string>, scls = 0x7fffba923138}, {shortName = 108 'l',
            name = 0x7ffcaf970370 "logfile", argumentHelp = 0x7ffcaf96ca04 "LOGFILE",
            description = 0x7ffcaf970458 "configure logging to write logs to LOGFILE", require_argument = 1,
            processor = 0x7ffcaf94c940 <GNUNET_GETOPT_set_string>, scls = 0x7fffba923140}, {shortName = 118 'v',
            name = 0x7ffcaf970378 "version", argumentHelp = 0x0, description = 0x7ffcaf970380 "print the version number",
            require_argument = 0, processor = 0x7ffcaf94c590 <GNUNET_GETOPT_print_version_>, scls = 0x7ffcaf970399}, {shortName = 0 '\000',
            name = 0x0, argumentHelp = 0x0, description = 0x0, require_argument = 0, processor = 0x0, scls = 0x0}}
        __FUNCTION__ = "GNUNET_SERVICE_run"
#4 0x00000000004027a9 in main (argc=<optimized out>, argv=<optimized out>) at gnunet-service-core.c:142
No locals.
TagsNo tags attached.

Activities

Christian Grothoff

2014-02-11 13:25

manager   ~0008087

Fixed by mwachs in SVN 32277.

Issue History

Date Modified Username Field Change
2014-02-10 01:40 Florian Dold New Issue
2014-02-10 01:40 Florian Dold Assigned To => Christian Grothoff
2014-02-10 01:40 Florian Dold Status new => assigned
2014-02-11 13:25 Christian Grothoff Note Added: 0008087
2014-02-11 13:25 Christian Grothoff Status assigned => resolved
2014-02-11 13:25 Christian Grothoff Fixed in Version => 0.10.1
2014-02-11 13:25 Christian Grothoff Resolution open => fixed
2014-02-11 13:25 Christian Grothoff Assigned To Christian Grothoff => Matthias Wachs
2014-02-11 13:25 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:41 Christian Grothoff Status resolved => closed